public class ShieldBehaviour : MonoBehaviour
    {
        private void Start()
        {
            this.renderer = gameObject.GetComponent<SpriteRenderer>();
            UpdateState();
        }
        void UpdateState()
        {
            if (this.Activated)
            {
                renderer.sortingLayerName = "Bottom";
                gameObject.layer = 10;
            }
            else
            {
                renderer.sortingLayerName = "Objects";
                gameObject.layer = LayerMask.NameToLayer("Objects");
            }
        }
        private void Use()
        {
            if (!base.enabled)
            {
                return;
            }
            this.SetActivated(!this.Activated);
        }
        private void SetActivated(bool activated)
        {
            this.Activated = activated;
            UpdateState();
        }

        public bool Activated = true;
        [SkipSerialisation]
        public SpriteRenderer renderer;
        [SkipSerialisation]
        public Sprite A;
        [SkipSerialisation]
        public Sprite B;
    }